All of lore.kernel.org
 help / color / mirror / Atom feed
From: "Darrick J. Wong" <darrick.wong@oracle.com>
To: eguan@redhat.com
Cc: linux-xfs@vger.kernel.org, fstests@vger.kernel.org
Subject: [PATCH 2/4] xfs/013: exit cleaner thread if fsstress dies
Date: Tue, 29 Aug 2017 21:40:56 -0700	[thread overview]
Message-ID: <150406805679.31349.8203006933430835354.stgit@magnolia> (raw)
In-Reply-To: <150406805060.31349.16766271336969357123.stgit@magnolia>

From: Darrick J. Wong <darrick.wong@oracle.com>

In this test, the cleaner thread deletes the directory trees created by
fsstress in order to exercise the free inode btree code.  However, if
fsstress dies, the cleaner can end up waiting forever for a directory
that will never be created, which hangs up the test run.  Therefore,
abort if fsstress has ended.

Signed-off-by: Darrick J. Wong <darrick.wong@oracle.com>
---
 tests/xfs/013 |    4 ++++
 1 file changed, 4 insertions(+)


diff --git a/tests/xfs/013 b/tests/xfs/013
index 817558f..4e49e4b 100755
--- a/tests/xfs/013
+++ b/tests/xfs/013
@@ -88,6 +88,10 @@ _cleaner()
 		while [ ! -e $need ]
 		do
 			sleep 3
+			if ! pgrep fsstress > /dev/null 2>&1; then
+				echo "fsstress died?"
+				return
+			fi
 		done
 
 		rm -rf $dir/dir$i


  reply	other threads:[~2017-08-30  4:41 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-08-30  4:40 [PATCH 1/4] xfs/{319,323}: don't checksum files after log recovery Darrick J. Wong
2017-08-30  4:40 ` Darrick J. Wong [this message]
2017-08-30  7:51   ` [PATCH 2/4] xfs/013: exit cleaner thread if fsstress dies Christoph Hellwig
2017-08-30  4:41 ` [PATCH 3/4] xfs: test rmapbt updates are correct with insert/collapse range Darrick J. Wong
2017-08-30  7:53   ` Christoph Hellwig
2017-08-30 22:58     ` Darrick J. Wong
2017-08-31 10:28   ` Eryu Guan
2017-08-31 14:47   ` [PATCH v2 " Darrick J. Wong
2017-08-30  4:41 ` [PATCH 4/4] generic: try various unicode normalization games Darrick J. Wong
2017-08-30 22:52   ` [PATCH v2 " Darrick J. Wong
2017-08-30 22:31 ` [PATCH 5/4] generic/173: don't dump core when mwrite fails Darrick J. Wong
2017-08-30 22:31 ` [PATCH 6/4] common/rc: fix xfs_io scrub command existence test Darrick J. Wong
2017-08-30 22:32 ` [PATCH 7/4] xfs/122: fix the size of fsop_ag_resblks structure Darrick J. Wong

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=150406805679.31349.8203006933430835354.stgit@magnolia \
    --to=darrick.wong@oracle.com \
    --cc=eguan@redhat.com \
    --cc=fstests@vger.kernel.org \
    --cc=linux-xfs@vger.kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.